// Copyright (C) 2018 Avatao.com Innovative Learning Kft.
// All Rights Reserved. See LICENSE file for details.

import { Pipe, PipeTransform } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';

@Pipe({
  name: 'safe'
})
export class SafePipe implements PipeTransform {
  constructor (private sanitizer: DomSanitizer) {}

  transform(value: string, args?: any): any {
    return this.sanitizer.bypassSecurityTrustResourceUrl(value);
  }
}
